<?php
/**
 * Created by PhpStorm.
 * User: Joseg
 * Date: 26/5/2018
 * Time: 2:29 AM
 */

include '../comun/validarSesion.php';
if (isset($_REQUEST['token'])) {
    $Valido = new validator();
    if ($Valido->checkToken($_REQUEST['token'])){
        if (isset($_REQUEST['nombre']) && isset($_REQUEST['ubicacion']) && isset($_REQUEST['telefono'])) {
            $creadoPor = $Valido->retornarIdToken($_REQUEST['token']);
            $condominio = $Valido->retornarDatos($creadoPor);
            $validar  = R::findOne( 'casetavigilancia', ' nombre =:nombreC AND id_condominio =:id_condominioc ',array('nombreC' => $_REQUEST['nombre'], 'id_condominioc' => $condominio['condominio_id']));
            if (is_null($validar)==TRUE){
            $casetavigilancia = R::dispense('casetavigilancia');
            $casetavigilancia->nombre = $_REQUEST['nombre'];
            $casetavigilancia->ubicacion = $_REQUEST['ubicacion'];
            $casetavigilancia->telefono = $_REQUEST['telefono'];
            $casetavigilancia->id_condominio = $condominio['condominio_id'];
            $casetavigilancia->id_autor = $creadoPor;
            $casetavigilancia->fechaRegistro = date('Y-m-d H:i:s');
            $casetavigilancia->fechaModificacion = date('Y-m-d H:i:s');
            $casetavigilancia->estado = 1;
            $id = R::store($casetavigilancia);
            include '../comun/mensajeCreado.php';
        }else{
            include '../comun/mensajeYaExiste.php';
        }
        }else{
            include '../comun/mensajeFaltanCampos.php';
        }
    }else{
        include '../comun/mensajeDatosInvalidos.php';
    }
}else{
    include '../comun/mensajeSesionInvalida.php';
}